Bug 11607 - items.content does not contain any formatting when HTML message is selected.
Summary: items.content does not contain any formatting when HTML message is selected.
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-24 14:24 UTC by Barton Chittenden
Modified: 2016-11-27 19:31 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11607: Don't display all items in a single line (1.20 KB, patch)
2014-12-24 12:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11607: Don't display all items in a single line (1.25 KB, patch)
2014-12-26 20:47 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 11607: Don't display all items in a single line (1.46 KB, patch)
2014-12-27 11:20 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barton Chittenden 2014-01-24 14:24:36 UTC
In DUEDGST and PREDUEDGST messages, the detail generated by <<items.content>> does not contain any HTML formatting. Without line breaks, all of the detail renders on a single line when viewed in email.

As a work around, items.content may be surrounded by <pre> tags, or 'HTML Message' may be de-selected.
Comment 1 Derryn 2014-07-07 07:08:04 UTC
I was just about to file a bug for this when I saw you had already done so.
Just in case anyone needs clarification:
To reproduce
1. Tools -> Notices
2. Edit 'Item Due Reminder (Digest)'
3. Tick 'HTML message'
4. Enter <<items.content>> in the message body.
5. Save
6. Borrow 2 items on an account set up to receive item due email notifications and set the due date as today.
7. Run advance_notices.pl
8. Run process_message_queue.pl
9. Check your email - there will be 2 items on one line, rather than a line break between them.

If you repeat the above steps without checking 'HTML message' it does include line breaks.

This issue is still present in 3.16
Comment 2 Jonathan Druart 2014-12-24 12:13:50 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2014-12-26 20:47:08 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2014-12-27 11:20:43 UTC
Created attachment 34700 [details] [review]
[PASSED QA] Bug 11607: Don't display all items in a single line

If the *DGST notices are sent in HTML, the items are displayed in a
single line.

To reproduce:
1/ Define a *DGST notice using the <<items.content>> pattern.
2/ Checkout at least 2 items to a patron and set the due date as today.
3/ Launch the advance_notices.pl and process_message_queue.pl cronjobs.
4/ Verify the email you will receive separates the items with a line
break.

Verify you don't find a regression for non-html letters.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Note: the display in the notices tab is misleading here,
needs to be verified checking the sent emails or database
entries in message_queue.
Comment 5 Tomás Cohen Arazi 2015-05-19 12:30:44 UTC
Patch pushed to master.

Thanks Jonathan!